ServletDef (Apache Tomcat 8.5.78 API Documentation)

Package org.apache.tomcat.util.descriptor.web

## Class ServletDef

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.ServletDef

- All Implemented Interfaces:
    `Serializable`

      public class ServletDef
      extends Object
      implements Serializable

  Representation of a servlet definition for a web application, as represented in a `<servlet>` element in the deployment descriptor.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServletDef()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addInitParameter​(String name, String value)` | Add an initialization parameter to the set of parameters associated with this servlet.
    `void` | `addSecurityRoleRef​(SecurityRoleRef securityRoleRef)` | Add a security-role-ref to the set of security-role-refs associated with this servlet.
    `Boolean` | `getAsyncSupported()` |
    `String` | `getDescription()` |
    `String` | `getDisplayName()` |
    `Boolean` | `getEnabled()` |
    `String` | `getJspFile()` |
    `String` | `getLargeIcon()` |
    `Integer` | `getLoadOnStartup()` |
    `MultipartDef` | `getMultipartDef()` |
    `Map<String,​String>` | `getParameterMap()` |
    `String` | `getRunAs()` |
    `Set<SecurityRoleRef>` | `getSecurityRoleRefs()` |
    `String` | `getServletClass()` |
    `String` | `getServletName()` |
    `String` | `getSmallIcon()` |
    `boolean` | `isOverridable()` |
    `void` | `setAsyncSupported​(String asyncSupported)` |
    `void` | `setDescription​(String description)` |
    `void` | `setDisplayName​(String displayName)` |
    `void` | `setEnabled​(String enabled)` |
    `void` | `setJspFile​(String jspFile)` |
    `void` | `setLargeIcon​(String largeIcon)` |
    `void` | `setLoadOnStartup​(String loadOnStartup)` |
    `void` | `setMultipartDef​(MultipartDef multipartDef)` |
    `void` | `setOverridable​(boolean overridable)` |
    `void` | `setRunAs​(String runAs)` |
    `void` | `setServletClass​(String servletClass)` |
    `void` | `setServletName​(String servletName)` |
    `void` | `setSmallIcon​(String smallIcon)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletDef

          public ServletDef()

  - ### Method Detail

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName​(String displayName)

    - #### getSmallIcon

          public String getSmallIcon()

    - #### setSmallIcon

          public void setSmallIcon​(String smallIcon)

    - #### getLargeIcon

          public String getLargeIcon()

    - #### setLargeIcon

          public void setLargeIcon​(String largeIcon)

    - #### getServletName

          public String getServletName()

    - #### setServletName

          public void setServletName​(String servletName)

    - #### getServletClass

          public String getServletClass()

    - #### setServletClass

          public void setServletClass​(String servletClass)

    - #### getJspFile

          public String getJspFile()

    - #### setJspFile

          public void setJspFile​(String jspFile)

    - #### getParameterMap

          public Map<String,​String> getParameterMap()

    - #### addInitParameter

          public void addInitParameter​(String name,
                                       String value)

      Add an initialization parameter to the set of parameters associated with this servlet.
      Parameters:
        `name` - The initialisation parameter name
        `value` - The initialisation parameter value

    - #### getLoadOnStartup

          public Integer getLoadOnStartup()

    - #### setLoadOnStartup

          public void setLoadOnStartup​(String loadOnStartup)

    - #### getRunAs

          public String getRunAs()

    - #### setRunAs

          public void setRunAs​(String runAs)

    - #### getSecurityRoleRefs

          public Set<SecurityRoleRef> getSecurityRoleRefs()

    - #### addSecurityRoleRef

          public void addSecurityRoleRef​(SecurityRoleRef securityRoleRef)

      Add a security-role-ref to the set of security-role-refs associated with this servlet.
      Parameters:
        `securityRoleRef` - The security role

    - #### getMultipartDef

          public MultipartDef getMultipartDef()

    - #### setMultipartDef

          public void setMultipartDef​(MultipartDef multipartDef)

    - #### getAsyncSupported

          public Boolean getAsyncSupported()

    - #### setAsyncSupported

          public void setAsyncSupported​(String asyncSupported)

    - #### getEnabled

          public Boolean getEnabled()

    - #### setEnabled

          public void setEnabled​(String enabled)

    - #### isOverridable

          public boolean isOverridable()

    - #### setOverridable

          public void setOverridable​(boolean overridable)